{

    // 自动击晕测试脚本

    "AbilityName": "TestPlayer_Ability_Tianheng_101",

    "AbilityStacking": "Unique",



    "OnAbilityStart":

    [

        //进入破晕状态

        {  

            "$type" : "MoleMole.ModifyStunStateAction",

            "TargetState" : "Break",

            "Target" : "Self",

        },

        //触发晕值下降CD

        {  

            "$type" : "MoleMole.ProcessStunCDAction",

            "ProcessType" : "Trigger",

            "Target" : "Self",

        },

        //添加击晕Buff

        {

            "$type" : "MoleMole.ApplyModifier",

            "ModifierName" : "StunBuffModifier",

            "Target" : "Self",

        },

    ],



    "Modifiers" : 

    {

        //破晕专用眩晕Buff

        "StunBuffModifier":

        {

            "Duration" : -1,

            "Buff" : 

            {

                "BuffID" : 101002,   //StunBuff

                "IsOverrideDuration" : true,

                "OverrideAttackHitForwardType" : "Push"

            }

        }

    }

}